Class Hl7v3ContinuationAwareProducer
java.lang.Object
org.apache.camel.support.service.BaseService
org.apache.camel.support.service.ServiceSupport
org.apache.camel.support.DefaultProducer
org.openehealth.ipf.platform.camel.ihe.ws.AbstractWsProducer<Hl7v3AuditDataset, String, String>
org.openehealth.ipf.platform.camel.ihe.hl7v3.Hl7v3ContinuationAwareProducer
- All Implemented Interfaces:
GroovyObject, AutoCloseable, EndpointAware, IsSingleton, Processor, Producer, Service, ShutdownableService, StepIdAware, StatefulService, SuspendableService
public class Hl7v3ContinuationAwareProducer
extends AbstractWsProducer<Hl7v3AuditDataset, String, String>
implements GroovyObject
-
Field Summary
Fields inherited from class BaseService
BUILT, FAILED, INITIALIZED, INITIALIZING, lock, NEW, SHUTDOWN, SHUTTING_DOWN, STARTED, STARTING, status, STOPPED, STOPPING, SUSPENDED, SUSPENDING -
Constructor Summary
ConstructorsConstructorDescriptionHl7v3ContinuationAwareProducer(Hl7v3ContinuationAwareEndpoint endpoint, JaxWsClientFactory<Hl7v3AuditDataset> clientFactory) -
Method Summary
Modifier and TypeMethodDescriptionprotected StringcallService(Object clientObject, String requestString) Sends the given request body to a Web Service via the given client proxy.voidvoidMethods inherited from class AbstractWsProducer
cleanRequestContext, configureClient, enrichRequestContext, enrichResponseMessage, getAlternativeRequestKeys, getEndpoint, getRequestClass, getResponseClass, getWsTransactionConfigurationMethods inherited from class org.apache.camel.support.DefaultProducer
createExchange, doStart, doStop, getStepId, isSingleton, setStepId, toStringMethods inherited from class BaseService
build, doBuild, doFail, doInit, doLifecycleChange, doResume, doShutdown, doSuspend, fail, getInternalLock, getStatus, init, isBuild, isInit, isNew, isRunAllowed, isShutdown, isStarted, isStarting, isStartingOrStarted, isStopped, isStopping, isStoppingOrStopped, isSuspended, isSuspending, isSuspendingOrSuspended, resume, shutdown, start, stop, suspendMethods inherited from class Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, waitMethods inherited from interface GroovyObject
getProperty, invokeMethod, setPropertyMethods inherited from interface ShutdownableService
shutdownMethods inherited from interface StatefulService
getStatus, isRunAllowed, isStarted, isStarting, isStopped, isStopping, isSuspendingMethods inherited from interface SuspendableService
isSuspended, resume, suspend
-
Constructor Details
-
Hl7v3ContinuationAwareProducer
public Hl7v3ContinuationAwareProducer(Hl7v3ContinuationAwareEndpoint endpoint, JaxWsClientFactory<Hl7v3AuditDataset> clientFactory)
-
-
Method Details
-
getMetaClass
- Specified by:
getMetaClassin interfaceGroovyObject
-
setMetaClass
- Specified by:
setMetaClassin interfaceGroovyObject
-
process
- Specified by:
processin interfaceProcessor- Overrides:
processin classAbstractWsProducer<Hl7v3AuditDataset, String, String>
-
callService
Description copied from class:AbstractWsProducerSends the given request body to a Web Service via the given client proxy.- Specified by:
callServicein classAbstractWsProducer<Hl7v3AuditDataset, String, String>
-